whatis("Ase")

conflict("ASE")

function ld (m)
    if not ( isloaded(m) ) then
        load(m)
    end
end

ld("iccifort/2019.5.281")
ld("impi/2018.5.288")
ld("imkl/2019.5.281")
ld("Python/3.7.4")
ld("Tkinter/3.7.4")
ld("matplotlib/3.1.1-Python-3.7.4")

ld("clusterappl") -- Sets up MYNOBACKUP

local nobackup = os.getenv("MYNOBACKUP")
local root     = pathJoin(nobackup, "git/ase/dev")

prepend_path("PYTHONPATH", root)
prepend_path("PATH", pathJoin(root, "tools"))
prepend_path("PATH", pathJoin(root, "bin"))

execute {cmd='complete -o default -C "/usr/bin/python3 ' .. root .. '/ase/cli/complete.py" ase', modeA={"load"}}
